This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### unbinary()
Examples |
    String s1 = "00010000";
    String s2 = "00001000";
    String s3 = "00000100";
    println(unbinary(s1));  // Prints "16"
    println(unbinary(s2));  // Prints "8"
    println(unbinary(s3));  // Prints "4"
Description | Converts a String representation of a binary number to its equivalent integer value. For example, unbinary("00001000") will return 8.
Syntax |
    unbinary(value)
Parameters |
value | String: String to convert to an integer
Returns | int
Related | binary() hex() unhex()

Updated on October 26, 2013 08:58:31pm PDT